<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\KursUebersicht\Detailsreiter\Termine\TerminAbrechnenMoenchengladBildungswerk;


class TerminAbrechnenPresenter extends \Kufer\Web\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getViewModel()
  {
    $result = new TerminAbrechnenViewModel();
    $result->kurs = $this->useCaseResponse->kurs;
    $result->kurstage = $this->useCaseResponse->kurstage;
    $result->dozkurs = $this->useCaseResponse->dozkurs;
    $result->hinweise = $this->useCaseResponse->hinweise ?? '';

    return $result;
  }

  protected function getView()
  {
    return new TerminAbrechnenView($this->getViewModel());
  }

  protected function getSeitenTitel(): string
  {
    return 'Honorarabrechnung für ' . $this->useCaseResponse->kurs->getVarValue('nr_anzeige');
  }
}